VERSION 5.00
Begin VB.Form MainWin 
   Caption         =   "Photo Album"
   ClientHeight    =   6090
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   5715
   LinkTopic       =   "Form1"
   ScaleHeight     =   6090
   ScaleWidth      =   5715
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame DstFrame 
      Caption         =   "Destination"
      Height          =   2775
      Left            =   120
      TabIndex        =   3
      Top             =   3120
      Width           =   5415
      Begin VB.TextBox DstName 
         Height          =   285
         Left            =   120
         TabIndex        =   6
         Text            =   "Album1"
         Top             =   2400
         Width           =   5175
      End
      Begin VB.DirListBox DstDir 
         Height          =   1665
         Left            =   120
         TabIndex        =   5
         Top             =   600
         Width           =   5175
      End
      Begin VB.DriveListBox DstDrive 
         Height          =   315
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   2295
      End
   End
   Begin VB.Frame SrcFrame 
      Caption         =   "Source"
      Height          =   2655
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   5415
      Begin VB.DirListBox SrcDir 
         Height          =   1890
         Left            =   120
         TabIndex        =   2
         Top             =   600
         Width           =   5175
      End
      Begin VB.DriveListBox SrcDrive 
         Height          =   315
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   2295
      End
   End
   Begin VB.Menu FileMenu 
      Caption         =   "File"
      Begin VB.Menu MakeItem 
         Caption         =   "Make Album"
      End
      Begin VB.Menu ExitItem 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu OptionsMenu 
      Caption         =   "Options"
      Begin VB.Menu CreateFolderItem 
         Caption         =   "Create folder"
         Checked         =   -1  'True
      End
      Begin VB.Menu SeparatePagesItem 
         Caption         =   "Separate pages"
         Checked         =   -1  'True
      End
   End
End
Attribute VB_Name = "MainWin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Declare global variable for reference to Canvas application object.
Dim cvApp As Canvas.Application

Private Sub CreateFolderItem_Click()
    ' Toggle the state of the Create Folder menu item.
    If CreateFolderItem.Checked Then
        CreateFolderItem.Checked = False
    Else
        CreateFolderItem.Checked = True
    End If
End Sub

Private Sub DstDrive_Change()
    ' Set the destination directory path to the selected destination drive.
    DstDir.Path = DstDrive.Drive
End Sub

Private Sub ExitItem_Click()
    ' Quit.
    Unload MainWin
End Sub

Private Sub Form_Load()
    ' Create a new Canvas application object.
    Set cvApp = New Canvas.Application
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ' Clean up the application object.
    Set cvApp = Nothing
End Sub

Private Sub MakeItem_Click()
    Dim fso As New Scripting.FileSystemObject
    Dim srcFile As Scripting.File
    Dim doc As Canvas.Document
    Dim pg As Canvas.Page
    
    ' Set the mouse pointer to an hour glass while the script
    ' is busy.
    Screen.MousePointer = vbHourglass
   
    ' Create a new illustration document.
    Set doc = cvApp.Documents.Add(cvsIllustrationDocument)
    
    ' Mark the first pass through the loop.
    Dim firstPass As Boolean
    firstPass = True
    
    ' Loop over all the files in the selected source folder.
    For Each srcFile In fso.GetFolder(SrcDir.Path).Files
        
        ' If the current file is an image file, place it in
        ' the document on a new page.
        If IsImageFile(srcFile.Path) Then
        
            ' The first page gets created with the document.
            ' Avoid creating an additional one for the first
            ' image.
            If firstPass = False Then
            
                ' Add a page to the document and set it as
                ' active page.
                Set pg = doc.Pages.Add
                doc.ActivePage = pg
            
            End If
            
            ' Place the image in the document on the active page.
            doc.Place srcFile.Path
            
            ' Clear the first pass marker.
            firstPass = False
            
        End If
    Next
    
    ' Create a HTML export options object and set the properties
    ' that the user chose from the menu.
    Dim opt As New HTMLExportOptions
    opt.CreateNewFolder = CreateFolderItem.Checked
    opt.SeparatePages = SeparatePagesItem.Checked
    
    ' Save the document as HTML page to the destination folder and use
    ' the entered name as file name. The HTML export will automatically
    ' format the HTML page as photo album according to the export options
    ' that are used.
    Dim dstPath As String
    dstPath = DstDir.Path + "\"
    doc.SaveAs dstPath + DstName.Text, cvsHTMLFormat, opt
    
    ' Reset the mouse pointer to its default shape.
    Screen.MousePointer = vbDefault

End Sub

' Check if a file is an image (here: JPEG, GIF and TIFF) file.
Private Function IsImageFile(fileName As String) As Boolean
    Dim extPos As Long
    Dim upName As String
    
    IsImageFile = False
    
    ' Convert the file name to uppercase.
    upName = UCase$(fileName)
    
    ' Check if the file name has the extension of an image file.
    If InStr(1, upName, ".JPG") > 0 Then
        IsImageFile = True
        Exit Function
    End If
    
    If InStr(1, upName, ".JPEG") > 0 Then
        IsImageFile = True
        Exit Function
    End If
    
    If InStr(1, upName, ".GIF") > 0 Then
        IsImageFile = True
        Exit Function
    End If
    
    If InStr(1, upName, ".TIF") > 0 Then
        IsImageFile = True
        Exit Function
    End If
    
    If InStr(1, upName, ".TIFF") > 0 Then
        IsImageFile = True
        Exit Function
    End If
    
End Function

Private Sub SeparatePagesItem_Click()
    ' Toggle the state of the Separate Pages menu item.
    If SeparatePagesItem.Checked Then
        SeparatePagesItem.Checked = False
    Else
        SeparatePagesItem.Checked = True
    End If
End Sub

Private Sub SrcDrive_Change()
    ' Set the source directory path to the selected source drive.
    SrcDir.Path = SrcDrive.Drive
End Sub
